
QGIS Application - Bug report #20490

IDW interpolation on csv point layer not working

2018-11-14 02:14 PM - Gerald Richter

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28310

Description

Funny thing is: only affects CSV

Tested reproducing the problem after saving the CSV layer as SHP, but IDW interpolation works in that case.

execution log:

Processing algorithm…

Algorithm 'IDW interpolation' starting…

Input parameters:

{ 'COLUMNS' : 300, 'DISTANCE_COEFFICIENT' : 2, 'EXTENT' :

'9.542884826660156,10.186458587646484,46.965576171875,47.59194564819336 [EPSG:4326]', 'INTERPOLATION_DATA' :

'file:///<my_project_path>/agg_affected_pers_routes.csv?type=csv&delimiter=;&detectTypes=yes&xField=lon&yField=lat&crs=EPSG:4326&spatialIndex=yes&subsetIndex=yes&watchFile=yes::~::0::~::6::~::0', 'OUTPUT' : '/tmp/processing_b6f09f2abeaf4b11a95d8689ad19c8a5/4612b00cb2de419795cc13b4fed27182/OUTPUT.tif', 'ROWS' : 300 }

Traceback (most recent call last):
File "/usr/share/q

SG:4326&spatialIndex=yes&subsetIndex=yes&watchFile=yes::~::0::~::6::~::0', 'OUTPUT' :

'/tmp/processing_b6f09f2abeaf4b11a95d8689ad19c8a5/4612b00cb2de419795cc13b4fed27182/OUTPUT.tif', 'ROWS' : 300 }

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/algs/qgis/IdwInterpolation.py", line 156, in processAlgorithm

data.valueSource = int(v[1])

IndexError: list index out of range

Execution failed after 0.02 seconds

Loading resulting layers

Algorithm 'IDW interpolation' finished

Associated revisions

Revision 17fd86e7 - 2019-01-22 09:15 AM - Alexander Bruy

[processing] use complex delimiter for interpolation data to avoid

overlaps with charactes which can be used in the layers source URI (fix #20490)

Revision 3a981746 - 2019-01-22 01:03 PM - Alexander Bruy

Merge pull request #8942 from alexbruy/processing-interpolation

[processing] use complex delimiter for interpolation data (fix #20490)
Revision 255d5104 - 2019-01-22 01:07 PM - Alexander Bruy

[processing] use complex delimiter for interpolation data to avoid

overlaps with charactes which can be used in the layers source URI (fix #20490)

(cherry picked from commit 17fd86e7236fe0776a4a4b263cbd47e62c2b7a0f)

Revision 3da3103e - 2019-01-22 05:41 PM - Alexander Bruy

Merge pull request #8947 from alexbruy/interpolation-backport

[processing] use complex delimiter for interpolation data (fix #20490)

History

#1 - 2018-11-14 02:30 PM - Anita Graser

- Description updated

#2 - 2019-01-22 09:10 AM - Alexander Bruy

- Operating System deleted (linux/ubuntu)

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

Also affects TIN interpolation

#3 - 2019-01-22 10:47 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8942

#4 - 2019-01-22 01:03 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|17fd86e7236fe0776a4a4b263cbd47e62c2b7a0f.

#5 - 2019-01-22 01:07 PM - Alexander Bruy

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/8942

